

# Flutter Linear Date Picker
### Flutter Gregorian and Jalaali (Persian) linear date picker


[package at pub.dev](https://pub.dev/packages/flutter_linear_datepicker/versions/1.0.8)
<br>

<p align="center">
 <img src="https://raw.githubusercontent.com/alikhaleghi76/flutter-datepicker/master/screenshots/screen1.jpg" width="300" title="Screenshot 1"> <img src="https://raw.githubusercontent.com/alikhaleghi76/flutter-datepicker/master/screenshots/screen2.jpg" width="300" alt="Screenshot 2"></p><br>

## Use this package as a library
#### 1. Depend on it
Add this to your package's pubspec.yaml file:
```
dependencies:
 flutter_linear_datepicker: ^1.0.8
 ```
#### 2. Install it
You can install packages from the command line:

with pub:
```
$ pub get
```

with Flutter:
```
$ flutter pub get
```
Alternatively, your editor might support pub get or flutter pub get. Check the docs for your editor to learn more.

#### 3. Import it
Now in your Dart code, you can use:
```
import 'package:flutter_linear_datepicker/flutter_datepicker.dart';
import 'package:flutter_linear_datepicker/number_picker.dart';
```
<br>

## How to use?
#### simple usage
just simply infalate following snippet in your flutter code:

```LinearDatePicker(); ```
<br>

#### advanced usage
You can customize widget using below parameters:
```
LinearDatePicker(
  startDate: "2004/10/17", //yyyy/mm/dd
  endDate: "2020/02/20",
  initialDate: "2010/11/15",
  dateChangeListener: (String selectedDate) {
    print(selectedDate);
  },
  showDay: true,  //false -> only select year & month
  fontFamily: 'sans',
  showLabels: true, // to show column captions, eg. year, month, etc.
  textColor: Colors.black,
  selectedColor: Colors.deepOrange,
  unselectedColor: Colors.blueGrey,
  yearText: "سال | year",
  monthText: "ماه | month",
  dayText: "روز | day",
  columnWidth: 100,
  isJalaali: false  // false -> Gregorian
),
```